@import "../_variables.scss";

menu {
  position: absolute;
  right: 0;
  z-index: 100;
  margin-right: 14px;
  .auth {
    background: $appBackground;
    color: $darkFontColor;
    display: flex;
    align-items: center;
    padding: 9px 20px;
    border-radius: 10px;
    box-shadow: 4px 4px 4px rgba(0, 0, 0, 0.25);
    svg {
      margin-right: 10px;
      width: 26px;
      height: 26px;
    }
  }
  .profile-menu {
    width: 75%;
    position: fixed;
    right: 0;
    transform: translateX(100vw);
    z-index: 100;
    height: calc(100vh - 57px);
    background: $appBackground;
    transition: transform .2s ease-out;
    font-family: $FF_SSP;
    box-shadow: 0px -4px 14px rgba(0, 0, 0, 0.25);
    border-radius: 20px 0 0 20px;
    padding: 40px 18px;

    .profile-info {
      margin: 0 14px;
      display: flex;
      .profile-info--left {
        display: flex;
        height: fit-content;

        picture {
          width: 48px;
          overflow: hidden;
          height: 48px;
          display: flex;
          border-radius: 50%;
          img {
            object-fit: cover;
            width: 48px;
            height: 48px;
          }
        }
      }

      .profile-info--right {
        margin-left: 10px;
        display: flex;
        justify-content: center;
        flex-direction: column;
        span {
          font-weight: 600;
          font-size: 1.25rem;
        }
        p {
          font-size: 1rem;
          letter-spacing: unset;
          line-height: unset;
          margin-top: unset;
          margin-bottom: unset;
        }
      }
    }

    &.isOpen {
      transform: translateX(0);
    }

    .profile-balance {
      margin: 20px 14px 0 14px;
      display: flex;
      align-items: center;
      gap: 10px;
      padding: 15px;
      background: #F4F6F9;
      border-radius: 9px;
      justify-content: flex-start;

      &__logo {
        border-radius: 50%;
        img {
          width: 30px;
          height: 30px;
        }
      }
      span {
        font-size: 1rem;
        color: $blueColor;
      }
    }

    .deposit-action {

    }

    .profile-actions {
      padding-top: 42px;
      .profile-action {
        button {
          display: flex;
          align-items: center;
          font-family: $FF_SSP;
          font-weight: 600;
          font-size: 16px;
          background: transparent;
          border: none;
        }
        svg {
          margin-right: 15px;
        }
        &.exit {
          margin-top: 58px;
        }

      }
    }
  }
}
